<?php
/**
 * @name			JoomShopping - Pages titles
 * @package			Joomla
 * @subpackage		JoomShopping
 * @version			1.3
 * @creationDate	03.01.2019
 *
 * @author			Dmitry Kairlinov (StudioDK-WEB, kit2m2)
 * @authorUrl		http://dk-web.ru/
 * @email			kit2m@mail.ru
 * @copyright		Copyright © 2008 - 2019 StudioDK-WEB. All rights reserved.
 * @license			GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

class plgJshoppingProductsPages_Titles extends JPlugin {
	
	function __construct(& $subject, $config)
	{
		parent::__construct($subject, $config);

		$this->loadLanguage();
	}
	
	public function onBeforeDisplayCategory(&$category, &$categories)
	{
		// Params settings
		$meta_title_cat = (int)$this->params->get('meta_title_cat', 0);
		$ignore_menu_cat = (int)$this->params->get('ignore_menu_cat', 0);
		$type_add_category = (int)$this->params->get('type_add_category', 0);
		$stitle_category = $this->params->get('stitle_category', '-');

		$app = JFactory::getApplication();
		$menu = $app->getMenu();
		$active_item = $menu->getActive();

		if ($meta_title_cat == 1)
		{
			if ($active_item->params['page_title'])
			{
				$category->meta_title = $active_item->params['page_title'];
			}
		}
		if ($ignore_menu_cat == 0)
		{
			if ($active_item->params['page_heading'])
			{
				if ($type_add_category == 1)
				{
					$category->name = $active_item->params['page_heading'];
				}
				if ($type_add_category == 2)
				{
					$category->name = $category->name .' '. $stitle_category .' '. $active_item->params['page_heading'];
				}
				if ($type_add_category == 3)
				{
					$category->name =  $active_item->params['page_heading'] .' '. $stitle_category .' '. $category->name;
				}
			}
		}else{
			if ($type_add_category == 1)
			{
				$category->name = $category->meta_title;
			}
			if ($type_add_category == 2)
			{
				$category->name = $category->name .' '. $stitle_category .' '. $category->meta_title;
			}
			if ($type_add_category == 3)
			{
				$category->name =  $category->meta_title .' '. $stitle_category .' '. $category->name;
			}
		}
	}
	
	public function onBeforeDisplayManufacturer(&$manufacturer)
	{
		// Params settings
		$meta_title_mf = (int)$this->params->get('meta_title_mf', 0);
		$ignore_menu_mf = (int)$this->params->get('ignore_menu_mf', 0);
		$type_add_manufacturer = (int)$this->params->get('type_add_manufacturer', 0);
		$stitle_manufacturer = $this->params->get('stitle_manufacturer', '-');
		
		$app = JFactory::getApplication();
		$menu = $app->getMenu();
		$active_item = $menu->getActive();
		
		/*echo '<pre>';
		print_r($manufacturer->meta_title);
		echo '</pre>';
		echo '<pre>';
		print_r($active_item->params['page_title']);
		echo '</pre>';*/

		if ($meta_title_mf == 1)
		{
			if ($active_item->params['page_title'])
			{
				$manufacturer->meta_title = $active_item->params['page_title'];
			}
		}
		if ($ignore_menu_mf == 0)
		{
			if ($active_item->params['page_heading'])
			{
				if ($type_add_manufacturer == 1)
				{
					$manufacturer->name = $active_item->params['page_heading'];
				}
				if ($type_add_manufacturer == 2)
				{
					$manufacturer->name = $manufacturer->name .' '. $stitle_manufacturer .' '. $active_item->params['page_heading'];
				}
				if ($type_add_manufacturer == 3)
				{
					$manufacturer->name =  $active_item->params['page_heading'] .' '. $stitle_manufacturer .' '. $manufacturer->name;
				}
			}
		}else{
			if ($type_add_manufacturer == 1)
			{
				$manufacturer->name = $manufacturer->meta_title;
			}
			if ($type_add_manufacturer == 2)
			{
				$manufacturer->name = $manufacturer->name .' '. $stitle_manufacturer .' '. $manufacturer->meta_title;
			}
			if ($type_add_manufacturer == 3)
			{
				$manufacturer->name =  $manufacturer->meta_title .' '. $stitle_manufacturer .' '. $manufacturer->name;
			}
		}
	}
	
	public function onBeforeDisplayProductListView(&$view)
	{
		// Params settings
		$type_add_productlist = (int)$this->params->get('type_add_productlist', 0);
		$stitle_productlist = $this->params->get('stitle_productlist', '-');
		
		$app = JFactory::getApplication();
		$menu = $app->getMenu();
		$active_item = $menu->getActive();

		if ($active_item->params['page_heading'])
		{
			if ($type_add_productlist == 1)
			{
				$view->header = $active_item->title;
			}
			if ($type_add_productlist == 2)
			{
				$view->header = $active_item->title .' '. $stitle_productlist .' '. $view->header;
			}
			if ($type_add_productlist == 3)
			{
				$view->header =  $view->header .' '. $stitle_productlist .' '. $active_item->title;
			}
		}
	}
	
	public function onBeforeDisplayProductView(&$view)
	{
		// Params settings
		$type_add_productpage = (int)$this->params->get('type_add_productpage', 0);
		$stitle_productpage = $this->params->get('stitle_productpage', '-');
		$s1_title_productpage = $this->params->get('s1_title_productpage', '(');
		$s2_title_productpage = $this->params->get('s2_title_productpage', ')');
		
		$app = JFactory::getApplication();
		$menu = $app->getMenu();
		$active_item = $menu->getActive();
		
			if ($type_add_productpage == 9)
			{	// add link title
				$view->product->name = $active_item->title .' '. $stitle_productpage .' '. $view->product->name;
			}
			if ($type_add_productpage == 10)
			{	// add link title
				$view->product->name = $view->product->name .' '. $stitle_productpage .' '. $active_item->title;
			}
			if ($type_add_productpage == 11)
			{	// add link title
				$view->product->name = $view->product->name .' '. $s1_title_productpage . $active_item->title . $s2_title_productpage;
			}
		if ($active_item->params->get('page_heading'))
		{
			if ($type_add_productpage == 12)
			{	// add link heading
				$view->product->name = $active_item->params->get('page_heading') .' '. $stitle_productpage .' '. $view->product->name;
			}
			if ($type_add_productpage == 13)
			{	// add link heading
				$view->product->name = $view->product->name .' '. $stitle_productpage .' '. $active_item->params->get('page_heading');
			}
			if ($type_add_productpage == 14)
			{	// add link heading
				$view->product->name = $view->product->name .' '. $s1_title_productpage . $active_item->params->get('page_heading') . $s2_title_productpage;
			}
		}
	}
}